# SWDB

# \Controller

Application controller.

Handles every request, creating the required models and selecting the view.

## Summary

Methods
Properties
Constants
__construct()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  application/Controller.php
Package
  Default
Class hierarchy
  \Controller

## Tags

category | Controller

## Methods

### __construct()

    __construct(array<mixed,mixed>  $params) : integer

Constructor.

Handles every request, creating the required models and selecting the view.

#### Parameters

array<mixed,mixed> | $params | POST parameters of the request.

#### Returns

integer —

HTTP status codes 200 or 404;

#

## Tags

global | int User ID.

### Controller.php